Bug 132642 - Clean/Build toolbar icons are confusing, inconsistent
Clean/Build toolbar icons are confusing, inconsistent
Status: RESOLVED FIXED
Product: projects
Classification: Unclassified
Component: Generic Projects UI
6.x
All All
: P4 (vote)
: 6.x
Assigned To: Milan Kubec
issues@projects
: SIMPLEFIX
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-11 17:47 UTC by malfunction84
Modified: 2009-10-30 11:04 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
Proposed patch (13.92 KB, text/plain)
2008-09-11 05:27 UTC, malfunction84
Details
Current icons (note inconsistency) (9.08 KB, image/png)
2008-11-04 18:19 UTC, malfunction84
Details
Rough proposal (more consistent) (8.77 KB, text/plain)
2008-11-04 18:19 UTC, malfunction84
Details
Rough proposal (more consistent) (8.77 KB, image/png)
2008-11-04 18:20 UTC, malfunction84
Details
consistent icons (6.07 KB, application/x-gzip)
2008-11-18 09:01 UTC, Ondrej Langr
Details
fix (8.69 KB, application/x-compressed)
2009-05-25 07:10 UTC, malfunction84
Details

Note You need to log in before you can comment on or make changes to this bug.
Description malfunction84 2008-04-11 17:47:41 UTC
NetBeans IDE 6.1 RC1 (Build 200804100130)

For the most part, any icons for buttons that act on the "currently-selected" project are the same as the icons for 
buttons that act on the "Main" project, only with a folder icon as a backdrop.  However, there are some inconsistencies.

The icon for "Clean and Build Project" is identical to the "Build Project" icon.  The "Clean and Build Project" icon 
should be like the "Clean and Build Main Project" icon, only with a Folder backdrop: a Hammer and Broom on a Folder.

The icon for "Run Project" is also inconsistent.  It should be the "Run Main Project" icon with a Folder backdrop: a 
Green Arrow on a Folder.

Proposed changes:
- "Clean and Build Project": Hammer and Broom on Folder
- "Run Project" Arrow on Folder

Consistent icons result:
- "Build Main Project": Hammer
- "Build Project": Hammer on Folder
- "Clean Main Project": Broom
- "Clean Project": Broom on Folder
- "Clean and Build Main Project": Hammer and Broom
- "Clean and Build Project": Hammer and Broom on Folder
- "Run Main Project": Green Arrow
- "Run Project" Green Arrow on Folder
Comment 1 malfunction84 2008-09-11 05:27:17 UTC
Created attachment 69611 [details]
Proposed patch
Comment 2 malfunction84 2008-09-11 05:29:54 UTC
Whoops, I attached that patch to the wrong bug.
Comment 3 Milan Kubec 2008-11-04 12:23:17 UTC
Please evaluate. Thanks.
Comment 4 malfunction84 2008-11-04 18:19:02 UTC
Created attachment 73215 [details]
Current icons (note inconsistency)
Comment 5 malfunction84 2008-11-04 18:19:45 UTC
Created attachment 73216 [details]
Rough proposal (more consistent)
Comment 6 malfunction84 2008-11-04 18:20:22 UTC
Created attachment 73217 [details]
Rough proposal (more consistent)
Comment 7 malfunction84 2008-11-04 18:22:33 UTC
Apologies for the plaintext image attachment.
Comment 8 Ondrej Langr 2008-11-10 08:45:35 UTC
Please note that with Compile on Save, the meaning of some of these icons has changed. The icons without the folder
backdrop now work for active project in case there is no main project. 

However, this is indeed a valid request. It only concerns icons not present in the toolbar by default, therefore
lowering the priority to P4 ("invalid appearance"). Also requesting the icons from the graphic designer, will reassign
to the component owner when I get them.
Comment 9 Ondrej Langr 2008-11-18 09:01:28 UTC
Created attachment 73851 [details]
consistent icons
Comment 10 Ondrej Langr 2008-11-18 09:02:54 UTC
I've attached the icons from graphic designer, reassigning to the component owner for implementation.
Comment 11 malfunction84 2009-05-25 07:10:12 UTC
Created attachment 82714 [details]
fix
Comment 12 malfunction84 2009-05-25 07:12:48 UTC
Renamed icons to match original names, included patch... just trying to help things along.
Comment 13 Milan Kubec 2009-10-29 15:58:21 UTC
Fixed.

http://hg.netbeans.org/core-main/rev/6b594e8bd683
Comment 14 malfunction84 2009-10-29 16:18:49 UTC
I thought for sure you'd want to use PNG instead of GIF.
Comment 15 Milan Kubec 2009-10-29 21:32:11 UTC
They are PNGs, but the extension is GIF. The library is designed to handle it according to file content not extension.
Comment 16 Quality Engineering 2009-10-30 11:04:22 UTC
Integrated into 'main-golden', will be available in build *200910300201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/6b594e8bd683
User: Milan Kubec <mkubec@netbeans.org>
Log: #132642: project specific actions new icons


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo